> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Asset



## OpenAPI

````yaml Wallet post /{walletId}/asset
openapi: 3.0.1
info:
  title: Wallet
  version: 0.1.0
servers:
  - url: https://gateway.7exchange.io/wallet/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /{walletId}/asset:
    post:
      operationId: postWalletidAsset
      parameters:
        - name: walletId
          in: path
          required: true
          schema:
            type: string
        - name: tenantId
          in: header
          required: true
          schema:
            type: string
        - name: token
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAssetRequest'
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPayload'
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body
components:
  schemas:
    CreateAssetRequest:
      type: object
      properties:
        purpose:
          type: string
        type:
          type: string
        status:
          type: string
        instance:
          type: string
        instanceBase:
          type: string
        ownerId:
          type: string
        availableBalance:
          $ref: '#/components/schemas/AssetAvailableBalance'
        allowedOperations:
          type: array
          items:
            $ref: '#/components/schemas/AssetAllowedOperationsItem'
    ErrorPayload:
      type: object
      properties:
        reason:
          type: string
          description: Reason phrase
        path:
          type: string
          description: Request path
        method:
          type: string
          description: Method type of the request
        message:
          type: string
          description: Error message
        timestamp:
          type: string
          description: Timestamp of the error
        status:
          type: integer
          description: Relevant HTTP status code
          format: int32
    AssetAvailableBalance:
      type: object
      properties:
        balanceType:
          type: string
        name:
          type: string
        value:
          type: string
        ownerId:
          type: string
        instanceRef:
          type: string
        instanceBaseRef:
          type: string
    AssetAllowedOperationsItem:
      type: object
      properties:
        operationType:
          type: string
        assetType:
          type: string
        name:
          type: string
        isSameWallet:
          type: boolean
        ownerId:
          type: string
        operationDestination:
          $ref: '#/components/schemas/AssetOperationDestination'
        fees:
          type: array
          items:
            $ref: '#/components/schemas/AssetFeesItem'
        limits:
          type: array
          items:
            $ref: '#/components/schemas/AssetLimitsItem'
    AssetOperationDestination:
      type: object
      properties:
        direction:
          type: string
        type:
          type: string
        ownerId:
          type: string
        operationAddresses:
          type: array
          items:
            $ref: '#/components/schemas/AssetOperationAddressesItem'
    AssetFeesItem:
      type: object
      properties:
        type:
          type: string
        feeValue:
          $ref: '#/components/schemas/AssetFeeValue'
        paidBy:
          type: string
        feeSharing:
          $ref: '#/components/schemas/AssetFeeSharing'
        isDynamic:
          type: boolean
        feeApiAddress:
          type: string
        group:
          type: integer
          format: int64
        order:
          type: integer
          format: int64
        ownerId:
          type: string
        appliedTo:
          type: string
        feeLimit:
          $ref: '#/components/schemas/AssetFeeLimit'
        defaultApiFee:
          $ref: '#/components/schemas/AssetDefaultApiFee'
    AssetLimitsItem:
      type: object
      properties:
        enforcementPoint:
          type: string
        priority:
          type: integer
          format: int64
        order:
          type: integer
          format: int64
        action:
          type: string
        ownerId:
          type: string
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/AssetConditionsItem'
    AssetOperationAddressesItem:
      type: object
      properties:
        type:
          type: string
        data:
          $ref: '#/components/schemas/AssetData'
        ownerId:
          type: string
    AssetFeeValue:
      type: object
      properties:
        balanceType:
          type: string
        name:
          type: string
        value:
          type: string
        ownerId:
          type: string
        instanceRef:
          type: string
        instanceBaseRef:
          type: string
    AssetFeeSharing:
      type: object
      properties:
        source:
          $ref: '#/components/schemas/AssetSource'
        destination:
          $ref: '#/components/schemas/AssetDestination'
        ownerId:
          type: string
    AssetFeeLimit:
      type: object
      properties:
        enforcementPoint:
          type: string
        priority:
          type: integer
          format: int64
        order:
          type: integer
          format: int64
        action:
          type: string
        ownerId:
          type: string
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/AssetConditionsItem'
    AssetDefaultApiFee:
      type: object
      properties:
        balanceType:
          type: string
        name:
          type: string
        value:
          type: string
        ownerId:
          type: string
        instanceRef:
          type: string
        instanceBaseRef:
          type: string
    AssetConditionsItem:
      type: object
      properties:
        priority:
          type: integer
          format: int64
        order:
          type: integer
          format: int64
        requirementType:
          type: string
        operation:
          type: string
        objectRef:
          $ref: '#/components/schemas/AssetObjectRef'
        value:
          $ref: '#/components/schemas/AssetValue'
        ownerId:
          type: string
    AssetData:
      type: object
      properties:
        name:
          type: string
        value:
          type: string
    AssetSource:
      type: object
      properties:
        balanceType:
          type: string
        name:
          type: string
        value:
          type: string
        ownerId:
          type: string
        instanceRef:
          type: string
        instanceBaseRef:
          type: string
    AssetDestination:
      type: object
      properties:
        balanceType:
          type: string
        name:
          type: string
        value:
          type: string
        ownerId:
          type: string
        instanceRef:
          type: string
        instanceBaseRef:
          type: string
    AssetObjectRef:
      type: object
      properties:
        ownerId:
          type: string
        name:
          type: string
        type:
          type: integer
          format: int64
        value:
          type: string
    AssetValue:
      type: object
      properties:
        ownerId:
          type: string
        name:
          type: string
        type:
          type: integer
          format: int64
        value:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````